#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 6. Text Editors

- Prev

  kate-25.12.2

- Next

  Nano-9.0

- Up
- Home

# mousepad-0.7.0

## Introduction to Mousepad

Mousepad is a simple GTK text editor for the Xfce desktop environment.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://archive.xfce.org/src/apps/mousepad/0.7/mousepad-0.7.0.tar.xz

- Download MD5 sum: 96c09736fd02da599ffedf215313328f

- Download size: 456 KB

- Estimated disk space required: 9.2 MB

- Estimated build time: less than 0.1 SBU

### Mousepad Dependencies

#### Required

gtksourceview4-4.8.4 and libxfce4ui-4.20.2

#### Recommended

gspell-1.14.3

## Installation of Mousepad

Install Mousepad by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release &&

    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D gspell-plugin=no`: Use this option to disable building the gspell-1.14.3 plugin if you have not installed gspell.

## Contents

Installed Program: mousepad
Installed Libraries: libmousepad.so
Installed Directories: None

### Short Descriptions

mousepad | is a simple GTK text editor

- Prev

  kate-25.12.2

- Next

  Nano-9.0

- Up
- Home